Deel: Time off schemas (part 1)
70 Deel schemas with complete fields and constraints.
← Time off operations · All schemas
Approve or reject time-off requests — 201 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | The response contains two lists: one for time-offs that were successfully reviewed and another for those that could not be reviewed. Each time-off in the reviewed list contains its ID and the status it was set to (either APPROVED/USED or REJECTED). The notReviewed list contains the IDs of time-offs that could not be reviewed along with an error message explaining why. |
data | Model | Required within parent | Expand Approve or reject time-off requests — 201 response body — data |
Referenced models: Approve or reject time-off requests — 201 response body — data
Approve or reject time-off requests — 201 response body — data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
not_reviewed | array | Required within parent | |
not_reviewed[] | Model | Each item | Expand Approve or reject time-off requests — 201 response body — data not reviewed item |
reviewed | array | Required within parent | |
reviewed[] | Model | Each item | Expand Approve or reject time-off requests — 201 response body — data reviewed item |
Referenced models: Approve or reject time-off requests — 201 response body — data not reviewed item, Approve or reject time-off requests — 201 response body — data reviewed item
Approve or reject time-off requests — 201 response body — data not reviewed item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
error | string | Required within parent | The error or reason why a time-off could not be reviewed |
id | string | Required within parent | Time off id Format: uuid |
Approve or reject time-off requests — 201 response body — data reviewed item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
id | string | Required within parent | Time off id Format: uuid |
status | string | Required within parent | Time off status after review Known values: APPROVED, USED, REJECTED |
Approve or reject time-off requests — request body — body data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
id | string | Required within parent | Time off id |
status | string | Required within parent | Decision on whether the time off request was approved or rejected One of: APPROVED, REJECTED |
Create time-off request — 201 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | The list of created time offs. Depending on the selected dates, a time off can be split into more than one request. |
time_offs | array | Required within parent | The list of created time offs. Depending on the selected dates, a time off can be split into more than one request. |
time_offs[] | Model | Each item | Expand Create time-off request — 201 response body — time offs item |
Referenced models: Create time-off request — 201 response body — time offs item
Create time-off request — 201 response body — time offs item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Created time off request |
amount | string | Optional | Amount of time off taken. This is the total amount of time off taken. For example, if you take 2 days off, this will be 2. If you take 1 day off, this will be 1. |
approved_at | JSON | Optional | |
approved_at (anyOf 1) | string | Alternative | This is the date when the time off request was approved. This will be null if the time off request is not approved yet. Format: date-time |
approved_at (anyOf 2) | null | Alternative | This is the date when the time off request was approved. This will be null if the time off request is not approved yet. Format: date-time |
attachments | array | Optional | List of attachments associated with the time off request. |
attachments[] | Model | Each item | Expand Update time-off request — 200 response body — time off attachments item |
canceled_at | JSON | Optional | |
canceled_at (anyOf 1) | string | Alternative | Time off cancellation date Format: date-time |
canceled_at (anyOf 2) | null | Alternative | Time off cancellation date Format: date-time |
contract_oid | JSON | Optional | |
contract_oid (anyOf 1) | string | Alternative | Contract id. This is the id of the contract associated with the time off request. |
contract_oid (anyOf 2) | null | Alternative | Contract id. This is the id of the contract associated with the time off request. |
created_at | string | Required within parent | This is the date when the time off request was created in the database. Format: date-time |
custom_field_values | array | Optional | Answers to the custom fields the request policy declares. Omitted when the policy declares none. |
custom_field_values[] | Model | Each item | Expand Update time-off request — 200 response body — time off custom field values item |
deduction_amount | JSON | Optional | |
deduction_amount (anyOf 1) | string | Alternative | Deduction amount. Available for independent contractor's policies |
deduction_amount (anyOf 2) | null | Alternative | Deduction amount. Available for independent contractor's policies |
deleted_at | JSON | Optional | |
deleted_at (anyOf 1) | string | Alternative | Time off deletion date. Present only when the time-off is soft-deleted and include_deleted_time_offs was requested. Format: date-time |
deleted_at (anyOf 2) | null | Alternative | Time off deletion date. Present only when the time-off is soft-deleted and include_deleted_time_offs was requested. Format: date-time |
description | string | Optional | Description of the time off request. Some policies require that a description is provided. |
end_date | string | Required within parent | End date of the time off request. This is the date when the time off ends. For example, if you take 2 days off, this will be the end date of the second day. Format: date |
entitlement_unit | string | Required within parent | The unit in which the time off usage and entitlement are calculated. Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
half_end_date | boolean | Required within parent | Whether the end date is a half day or not. |
half_start_date | boolean | Required within parent | Whether the start date is a half day or not. |
is_end_date_estimated | boolean | Optional | Whether the end date is estimated or not. This is used on event based policies such as Parental leave. |
is_paid | boolean | Required within parent | Whether the time off is paid or unpaid. |
other_type_description | JSON | Optional | |
other_type_description (anyOf 1) | string | Alternative | Description of the time off type. This is used when the policy is OTHER. |
other_type_description (anyOf 2) | null | Alternative | Description of the time off type. This is used when the policy is OTHER. |
reason | string | Optional | Reason for taking time off. This is complementary information for the time-off description. Useful to provide sub categories for the same policy. |
recipient_profile | Model | Optional | Expand Update time-off request — 200 response body — time off recipient profile The time off profile of the recipient of the time off request. Must be a worker profile. |
requested_at | string | Required within parent | This is the date when the time off request was made. Format: date |
requester_profile | Model | Optional | Expand Update time-off request — 200 response body — time off requester profile The time off profile of the requester of the time off request. Can be either a client or worker profile. |
start_date | string | Required within parent | Start date of the time off request. This is the date when the time off starts. For example, if you take 2 days off, this will be the start date of the first day. Format: date |
status | string | Optional | Status of the time off request. Can be REQUESTED, APPROVED, REJECTED, USED or CANCELED. Known values: REQUESTED, APPROVED, REJECTED, USED, CANCELED, DELETED |
time_off_dailies | array | Optional | |
time_off_dailies[] | Model | Each item | Expand Update time-off request — 200 response body — time off time off dailies item |
time_off_event | Model | Optional | Expand Update time-off request — 200 response body — time off time off event |
time_off_percentage | JSON | Optional | |
time_off_percentage (anyOf 1) | string | Alternative | This is the percentage of time off taken. |
time_off_percentage (anyOf 2) | null | Alternative | This is the percentage of time off taken. |
time_off_type | Model | Optional | Expand Update time-off request — 200 response body — time off time off type The type of time off taken. |
time_off_type_id | string | Required within parent | Time off type id. This is the id of the time off type associated with the time off request. Format: uuid |
updated_at | string | Required within parent | This is the date when the time off request was last updated in the database. Format: date-time |
Referenced models: Update time-off request — 200 response body — time off custom field values item, Update time-off request — 200 response body — time off attachments item, Update time-off request — 200 response body — time off recipient profile, Update time-off request — 200 response body — time off requester profile, Update time-off request — 200 response body — time off time off dailies item, Update time-off request — 200 response body — time off time off event, Update time-off request — 200 response body — time off time off type
Create time-off request — request body — body data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | The time off request data |
contract_oid | string or null | Optional | Contract id. This is the id of the contract associated with the time off request. Maximum length: 24 |
custom_field_values | array or null | Optional | Answers to the custom fields the request policy declares, addressed by custom field id. |
custom_field_values[] | Model | Each item | Expand Create time-off request — request body — body data custom field values item |
dates | array | Optional | The dates breakdown for the time off request. |
dates[] | Model | Each item | Expand Create time-off request — request body — body data dates item |
deduction_amount | string or null | Optional | Deduction amount. Available for independent contractor's policies |
description | string or null | Optional | Description of the time off request. Some policies require that a description is provided. Maximum length: 500 |
end_date | Model | Required within parent | Expand Create time-off request — request body — body data end date End date of the time off request. This is the date when the time off ends. For example, if you take 2 days off, this will be the end date of the second day. |
event_details | Model | Optional | Expand Create time-off request — request body — body data event details Details of the event associated with the time off request. Required for event based policies such as parental leave. |
is_paid | boolean | Optional | Whether the time off is paid or unpaid. By default it follows the policy configuration. |
other_type_description | string or null | Optional | Description of the time off type. This is used when the policy is OTHER. Maximum length: 255 |
policy_id | string | Optional | The time off policy id. Can be used in place of time_off_type_id Format: uuid |
reason | string or null | Optional | Reason for taking time off. This is complementary information for the time-off description. Useful to provide sub categories for the same policy. Maximum length: 500 |
recipient_profile_id | string | Required within parent | The hris profile id of the recipient Format: uuid |
start_date | Model | Required within parent | Expand Create time-off request — request body — body data start date Start date of the time off request. This is the date when the time off starts. For example, if you take 2 days off, this will be the start date of the first day. |
status | string | Optional | Status for the time off request. When set to REQUESTED, the time off should be reviewed later through POST /time_offs/review. Default: APPROVED One of: REQUESTED, APPROVED |
time_off_event_id | string | Optional | The time off event id. This is used to link the time off request to an event. Format: uuid |
time_off_percentage | number or null | Optional | This is the percentage of time off taken. This is used when the time off request is a percentage. Format: double Maximum: 1 Minimum: 0 |
time_off_type_id | string | Optional | The time off type id. Required when policy_id is not provided Format: uuid |
use_deel_approval_flow | boolean | Optional | Whether to use Deel's approval flow for this time off request. If set to true, the time off request will go through Deel's approval flow instead of being handled through the public-api review time-off endpoint. Default: false |
Referenced models: Create time-off request — request body — body data custom field values item, Create time-off request — request body — body data dates item, Create time-off request — request body — body data end date, Create time-off request — request body — body data event details, Create time-off request — request body — body data start date
Create time-off request — request body — body data custom field values item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
field_id | string | Required within parent | The id of the custom field this value answers. Format: uuid |
value | JSON | Required within parent | The submitted value for the custom field. Accepts a string, number, or boolean — always stored as text. `null` means "no answer for this field" and is rejected today, since no field supports a null answer yet. |
value (oneOf 1) | Model | Alternative | Expand Create time-off request — request body — body data custom field values item value value |
value (oneOf 2) | null | Alternative |
Referenced models: Create time-off request — request body — body data custom field values item value value
Create time-off request — request body — body data custom field values item value value
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | The submitted value for the custom field. Accepts a string, number, or boolean — always stored as text. `null` means "no answer for this field" and is rejected today, since no field supports a null answer yet. |
$ (oneOf 1) | string | Alternative | |
$ (oneOf 2) | number | Alternative | Format: double |
$ (oneOf 3) | boolean | Alternative |
Create time-off request — request body — body data dates item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | The dates breakdown for the time off request. |
amount | string | Optional | The amount of time off requested for the date. It must be in the same time unit as in the total amount for the time off request. |
date | Model | Required within parent | Expand Create time-off request — request body — body data dates item date An specific date in the time-off request |
day_type | string | Optional | The type of day for the time off request. All dates must follow the same type. One of: HALF_DAY, FULL_DAY, PERCENTAGE, HOURLY |
hours | string | Optional | The amount taken in hours during this specific date. It can not exceed the maximum allowed hours for the date. |
Referenced models: Create time-off request — request body — body data dates item date
Create time-off request — request body — body data dates item date
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | An specific date in the time-off request |
$ (oneOf 1) | string | Alternative | Format: date |
$ (oneOf 2) | string | Alternative | Format: date-time |
Create time-off request — request body — body data end date
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | End date of the time off request. This is the date when the time off ends. For example, if you take 2 days off, this will be the end date of the second day. |
$ (oneOf 1) | string | Alternative | Format: date |
$ (oneOf 2) | string | Alternative | Format: date-time |
Create time-off request — request body — body data event details
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Details of the event associated with the time off request. Required for event based policies such as parental leave. |
adoption_date | string | Optional | The date of adoption. This is used for parental leave requests. Format: date |
birth_date | string | Required within parent | The birth date of the child. This is used for parental leave requests. Format: date |
had_multiple_children | boolean | Required within parent | Whether the birth was multiple or not. This is used for parental leave requests. |
was_premature_birth | boolean | Required within parent | Whether the birth was premature or not. This is used for parental leave requests. |
Create time-off request — request body — body data start date
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | Start date of the time off request. This is the date when the time off starts. For example, if you take 2 days off, this will be the start date of the first day. |
$ (oneOf 1) | string | Alternative | Format: date |
$ (oneOf 2) | string | Alternative | Format: date-time |
Get Policies for Organization — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | array | Required within parent | |
data[] | Model | Each item | Expand Get Policies for Organization — 200 response body — data item |
has_next_page | boolean | Optional | Indicates if there are more results available beyond the current page |
next | JSON | Optional | |
next (anyOf 1) | string | Alternative | Opaque cursor to fetch the next page of results. Null when there are no more results |
next (anyOf 2) | null | Alternative | Opaque cursor to fetch the next page of results. Null when there are no more results |
Referenced models: Get Policies for Organization — 200 response body — data item
Get Policies for Organization — 200 response body — data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
assigned_profiles_count | JSON | Required within parent | |
assigned_profiles_count (anyOf 1) | integer | Alternative | Count of profiles assigned to this policy. |
assigned_profiles_count (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
auto_approval_inactivity_time_unit | string | Optional | Unit of time used for calculating the auto-approval after inactivity on reviewing the leave, if applicable Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
auto_approval_inactivity_time_unit_amount | JSON | Optional | |
auto_approval_inactivity_time_unit_amount (anyOf 1) | number | Alternative | Amount of time units used for calculating the auto-approval after inactivity on reviewing the leave, if applicable Format: double |
auto_approval_inactivity_time_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
created_at | string | Required within parent | Timestamp when the policy was created Format: date-time |
custom_fields | array | Required within parent | The custom fields the policy declares. Empty when the policy collects none. |
custom_fields[] | Model | Each item | Expand Validate time-off request — 200 response body — data custom fields item |
description | string | Optional | Policy description |
has_custom_fields | boolean | Required within parent | Whether the policy collects any custom field answers on its requests. |
id | string | Required within parent | Policy UID Format: uuid |
is_attachment_required | boolean | Required within parent | Indicates if an attachment is required for the time off request |
is_description_required | boolean | Required within parent | Indicates if a description is required for the time off request |
is_event_based | boolean | Required within parent | Indicates if the policy's base allowance accrues based on an event (e.g., a life event like child birth) rather than on a time-based schedule |
is_requiring_custom_fields | boolean | Required within parent | Whether at least one of the policy's custom fields can be mandatory (ALWAYS_REQUIRED or REQUIRED_CONDITIONALLY). False when every custom field is OPTIONAL, or when the policy has none. |
leave_type | string | Required within parent | Type of leave policy. Either short-term leave (e.g., PTO, vacation) or long-term leave (e.g., maternity, paternity) Known values: SHORT_TERM_LEAVE, LONG_TERM_LEAVE |
name | string | Required within parent | Policy name |
notice_period_unit | string | Optional | Unit of time used for calculating the notice period, if applicable. This is the minimum amount of time before the start of the leave that a worker must submit a request Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
notice_period_unit_amount | JSON | Optional | |
notice_period_unit_amount (anyOf 1) | number | Alternative | Amount of time units used for calculating the notice period, if applicable Format: double |
notice_period_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
overlap_request_type | string | Required within parent | Defines if overlap requests are allowed or not. Overlap requests are requests that overlap with existing time off requests Known values: ALLOWED, NOT_ALLOWED |
payment_type | string | Required within parent | Type of payment for the time off Known values: PAID, UNPAID, PARTIALLY_PAID |
policy_allowance_proration | Model | Required within parent | Expand Get Policies for Organization — 200 response body — data item policy allowance proration Details of the proration rules for the policy allowance |
policy_allowances | array | Required within parent | Details of the policy allowances associated with this policy |
policy_allowances[] | Model | Each item | Expand Get Policies for Organization — 200 response body — data item policy allowances item |
policy_type | Model | Required within parent | Expand Get Policies for Organization — 200 response body — data item policy type Details of the policy type associated with this policy |
request_start_type | string | Required within parent | Defines when a the worker can start to request leaves. Either immediately or after a fixed period of time from the start of the tracking period Known values: IMMEDIATELY, FIXED_PERIOD |
request_start_unit | string | Optional | Unit of time used for calculating the request start period, if applicable. This is used when the request start type is FIXED_PERIOD Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
request_start_unit_amount | JSON | Optional | |
request_start_unit_amount (anyOf 1) | number | Alternative | Amount of time units used for calculating the request start period, if applicable. This is used when the request start type is FIXED_PERIOD Format: double |
request_start_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
retrospective_request_type | string | Required within parent | Defines if retrospective requests are allowed or not. Retrospective requests are requests for time off in the past Known values: ALLOWED, NOT_ALLOWED |
should_allow_editing_past_time_offs | boolean | Required within parent | Indicates if users are allowed to edit past time off requests |
time_off_request_type | string | Required within parent | Type of time off request. Can be full day, half day, or partial day Known values: HALF_DAY, HOURLY, FULL_DAY, PERCENTAGE, PARTIAL_HOURS |
time_off_types | array | Required within parent | |
time_off_types[] | Model | Each item | Expand Get Policies for Organization — 200 response body — data item time off types item |
tracking_cadence | string | Required within parent | Cadence of the tracking period. Either a fixed day (e.g., Jan 1), based on the anniversary of the employee's start date, or NOT_SPECIFIED if the policy has no tracking cadence configured Known values: FIXED_DAY, ANNIVERSARY, NOT_SPECIFIED |
tracking_start_date | string | Optional | Start date for tracking periods, if applicable. This is used when the tracking cadence is FIXED_DAY. So all tracking periods starts in the given month and day of each year Format: date |
tracking_unit | string | Optional | Unit of time used for calculating tracking periods Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
tracking_unit_amount | JSON | Optional | |
tracking_unit_amount (anyOf 1) | number | Alternative | Amount of the tracking unit Format: double |
tracking_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
updated_at | string | Required within parent | Timestamp when the policy was last updated Format: date-time |
Referenced models: Validate time-off request — 200 response body — data custom fields item, Get Policies for Organization — 200 response body — data item policy allowance proration, Get Policies for Organization — 200 response body — data item policy allowances item, Get Policies for Organization — 200 response body — data item policy type, Get Policies for Organization — 200 response body — data item time off types item
Get Policies for Organization — 200 response body — data item policy allowance proration
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Details of the proration rules for the policy allowance |
is_prorated_on_hire | boolean | Required within parent | Indicates if the allowance is prorated on hire |
is_prorated_on_termination | boolean | Required within parent | Indicates if the allowance is prorated on termination |
part_time_worker_treatment_specific_amount | JSON | Optional | |
part_time_worker_treatment_specific_amount (anyOf 1) | JSON | Alternative | |
part_time_worker_treatment_specific_amount (anyOf 1) (anyOf 1) | number | Alternative | Specific amount for part-time worker treatment, if applicable. Format: double |
part_time_worker_treatment_specific_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
part_time_worker_treatment_specific_amount (anyOf 2) | null | Alternative | Specific amount for part-time worker treatment, if applicable. Format: double |
part_time_worker_treatment_type | string | Required within parent | Defines how the allowance is prorated for part-time workers. Either no proration, full month proration based on day, tenure boundary proration, or country specific proration Known values: SAME_AS_FTE, PERCENTAGE_OF_FTE, BASED_ON_WORK_HOURS, BASED_ON_WORK_DAYS, CUSTOM_ENTITLEMENT |
Get Policies for Organization — 200 response body — data item policy allowances item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accrual_application_type | string | Optional | Defines when the accruals are applied. Either at the beginning of the cycle, at the end of the cycle, or at the beginning of the next cycle Known values: BEGIN_OF_CYCLE, END_OF_CYCLE, BEGIN_OF_NEXT_CYCLE |
accrual_type | Model | Required within parent | Expand Get Policies for Organization — 200 response body — data item policy allowances item accrual type Determines how and when profiles earn this allowance: LUMPSUM (accrued all at once at the start of the tracking period), TIMEFRAME (accrued periodically, e.g. monthly), EVENT (accrued based on a life event, e.g. child birth), TIME_OFF_IN_LIEU (accrued from extra hours worked), HOURLY (accrued based on hours worked), or NO_AUTO_ACCRUAL (balance managed only via manual adjustments) |
accrual_unit | string | Optional | Unit for how long are the accrual period in each tracking period Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
accrual_unit_amount | JSON | Optional | |
accrual_unit_amount (anyOf 1) | number | Alternative | Amount of time units for how long are the accrual period in each tracking period Format: double |
accrual_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
balance_tracking_flexible_custom_request_amount | JSON | Optional | |
balance_tracking_flexible_custom_request_amount (anyOf 1) | number | Alternative | Limit allowed for the worker balance to be negative. This value if applicable is always positive Format: double |
balance_tracking_flexible_custom_request_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
balance_tracking_type | Model | Required within parent | Expand Get Policies for Organization — 200 response body — data item policy allowances item balance tracking type Defines if the balance tracking is flexible or inflexible. INFLEXIBLE means the worker cannot go below zero. The FLEXIBLE_* values allow the worker to request more time off than their allowance and go negative, either without limit (FLEXIBLE_NO_LIMIT), up to a custom amount (FLEXIBLE_CUSTOM_AMOUNT), or up to the yearly allowance (FLEXIBLE_UP_TO_YEARLY_ALLOWANCE) |
entitlement_expiration_unit | string | Optional | Unit for the entitlement expiration period, if applicable Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
entitlement_expiration_unit_amount | JSON | Optional | |
entitlement_expiration_unit_amount (anyOf 1) | number | Alternative | Amount of time units for the entitlement expiration period, if applicable Format: double |
entitlement_expiration_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
entitlement_start_date | string | Optional | Start date for the entitlement, if applicable. This is used when the entitlement start type is FIXED_DAY. So all entitlements starts in the given month and day of each year Format: date |
entitlement_start_type | string | Required within parent | Defines when the workers start to receive their allowance Known values: IMMEDIATELY, FIXED_PERIOD, FIXED_DAY |
entitlement_start_unit | string | Optional | Unit for the entitlement start period, if applicable. This is used when the entitlement start type is FIXED_PERIOD Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
entitlement_start_unit_amount | JSON | Optional | |
entitlement_start_unit_amount (anyOf 1) | number | Alternative | Amount of time units for the entitlement start period, if applicable. This is used when the entitlement start type is FIXED_PERIOD Format: double |
entitlement_start_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
entitlement_unit | string | Optional | Unit for the entitled allowance Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
entitlement_unit_amount | JSON | Optional | |
entitlement_unit_amount (anyOf 1) | JSON | Alternative | |
entitlement_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of time units for the entitled allowance. Null means unlimited allowance Format: double |
entitlement_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
entitlement_unit_amount (anyOf 2) | null | Alternative | Amount of time units for the entitled allowance. Null means unlimited allowance Format: double |
hourly_accrual_based_on | JSON | Optional | Hours that count toward an HOURLY allowance: HOURS_WORKED_ONLY (only hours worked) or ALL_PAID_HOURS (hours worked and paid time off). Null for other accrual types. |
hourly_accrual_based_on (anyOf 1) | string | Alternative | Hours that count toward an HOURLY allowance: HOURS_WORKED_ONLY (only hours worked) or ALL_PAID_HOURS (hours worked and paid time off). Null for other accrual types. Known values: HOURS_WORKED_ONLY, ALL_PAID_HOURS |
hourly_accrual_based_on (anyOf 2) | null | Alternative | |
hourly_accrual_mode | JSON | Optional | How the rate of an HOURLY allowance is set: BY_HOURS (hours earned per a number of hours worked) or BY_PERCENTAGE (a percentage of hours worked). Null on an HOURLY allowance means BY_HOURS. Null for other accrual types. |
hourly_accrual_mode (anyOf 1) | string | Alternative | How the rate of an HOURLY allowance is set: BY_HOURS (hours earned per a number of hours worked) or BY_PERCENTAGE (a percentage of hours worked). Null on an HOURLY allowance means BY_HOURS. Null for other accrual types. Known values: BY_HOURS, BY_PERCENTAGE |
hourly_accrual_mode (anyOf 2) | null | Alternative | |
hourly_entitlement_amount | JSON | Optional | |
hourly_entitlement_amount (anyOf 1) | JSON | Alternative | |
hourly_entitlement_amount (anyOf 1) (anyOf 1) | number | Alternative | Hours earned per hour worked on an HOURLY allowance. For example, 0.076923 means about 1 hour earned for every 13 hours worked. Null for other accrual types. Format: double |
hourly_entitlement_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
hourly_entitlement_amount (anyOf 2) | null | Alternative | Hours earned per hour worked on an HOURLY allowance. For example, 0.076923 means about 1 hour earned for every 13 hours worked. Null for other accrual types. Format: double |
id | string | Required within parent | Policy allowance UID Format: uuid |
is_bank_holidays_enabled | boolean | Required within parent | Indicates if bank holidays are enabled used considered non-working days when calculating leave usage for this allowance |
is_unlimited_allowance | boolean | Required within parent | Indicates if the allowance is unlimited. Unlimited means that the worker can request any amount of time off without any limit |
max_accrual_per_tracking_period | JSON | Optional | |
max_accrual_per_tracking_period (anyOf 1) | JSON | Alternative | |
max_accrual_per_tracking_period (anyOf 1) (anyOf 1) | number | Alternative | Maximum number of hours a worker can earn in one tracking period on an HOURLY allowance. Null means that there is no maximum. Format: double |
max_accrual_per_tracking_period (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
max_accrual_per_tracking_period (anyOf 2) | null | Alternative | Maximum number of hours a worker can earn in one tracking period on an HOURLY allowance. Null means that there is no maximum. Format: double |
part_time_prorated_entitlement_unit_amount | JSON | Optional | |
part_time_prorated_entitlement_unit_amount (anyOf 1) | JSON | Alternative | |
part_time_prorated_entitlement_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of time units for part-time prorated entitlement, if applicable Format: double |
part_time_prorated_entitlement_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
part_time_prorated_entitlement_unit_amount (anyOf 2) | null | Alternative | Amount of time units for part-time prorated entitlement, if applicable Format: double |
rollover_expiration_unit | string | Optional | Unit for the rollover expiration period, if applicable Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
rollover_expiration_unit_amount | JSON | Optional | |
rollover_expiration_unit_amount (anyOf 1) | number | Alternative | Amount of time units for the rollover expiration period, if applicable Format: double |
rollover_expiration_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
rollover_limit_unit_amount | JSON | Optional | |
rollover_limit_unit_amount (anyOf 1) | number | Alternative | Maximum amount that can be rolled over, if applicable Format: double |
rollover_limit_unit_amount (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
rollover_type | string | Required within parent | Defines if the rollover carryover treatment for the policy allowance Known values: NO_ROLLOVER, PAY_OUT, CARRY_OVER, CARRY_OVER_PAY_OUT |
should_zero_out_negative_balances_on_rollover | boolean | Required within parent | Indicates if negative balances should be zeroed out on rollover |
type | string | Required within parent | Type of policy allowance. Either a base allowance or an additional allowance Known values: BASE_ALLOWANCE, ADDITIONAL_ALLOWANCE |
Referenced models: Get Policies for Organization — 200 response body — data item policy allowances item accrual type, Get Policies for Organization — 200 response body — data item policy allowances item balance tracking type
Get Policies for Organization — 200 response body — data item policy allowances item accrual type
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | string | Root | Determines how and when profiles earn this allowance: LUMPSUM (accrued all at once at the start of the tracking period), TIMEFRAME (accrued periodically, e.g. monthly), EVENT (accrued based on a life event, e.g. child birth), TIME_OFF_IN_LIEU (accrued from extra hours worked), HOURLY (accrued based on hours worked), or NO_AUTO_ACCRUAL (balance managed only via manual adjustments) Known values: LUMPSUM, TIMEFRAME, EVENT, TIME_OFF_IN_LIEU, HOURLY, NO_AUTO_ACCRUAL |
Get Policies for Organization — 200 response body — data item policy allowances item balance tracking type
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | string | Root | Defines if the balance tracking is flexible or inflexible. INFLEXIBLE means the worker cannot go below zero. The FLEXIBLE_* values allow the worker to request more time off than their allowance and go negative, either without limit (FLEXIBLE_NO_LIMIT), up to a custom amount (FLEXIBLE_CUSTOM_AMOUNT), or up to the yearly allowance (FLEXIBLE_UP_TO_YEARLY_ALLOWANCE) Known values: INFLEXIBLE, FLEXIBLE_NO_LIMIT, FLEXIBLE_CUSTOM_AMOUNT, FLEXIBLE_UP_TO_YEARLY_ALLOWANCE |
Get Policies for Organization — 200 response body — data item policy type
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Details of the policy type associated with this policy |
id | string | Required within parent | Policy type UID Format: uuid |
name | string | Required within parent | Policy type name |
Get Policies for Organization — 200 response body — data item time off types item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Details of the time-off type associated with this policy. Time-off types are subcategories for a policy and represent different reasons for requesting a leave |
description | string | Optional | Time-off type description |
id | string | Required within parent | Time-off type UID Format: uuid |
name | string | Required within parent | Time-off type name |
Get Profile Entitlements — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
entitlements | array | Required within parent | |
entitlements[] | Model | Each item | Expand Get Profile Entitlements — 200 response body — entitlements item |
hris_profile_id | string | Required within parent | HRIS profile ID |
Referenced models: Get Profile Entitlements — 200 response body — entitlements item
Get Profile Entitlements — 200 response body — entitlements item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accrual_amount | string | Optional | Accrual amount |
accrual_unit | string | Optional | Accrual unit Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
accrued | JSON | Optional | |
accrued (anyOf 1) | string | Alternative | Accrued time off |
accrued (anyOf 2) | null | Alternative | Accrued time off |
allowance | JSON | Optional | |
allowance (anyOf 1) | string | Alternative | Time off allowance |
allowance (anyOf 2) | null | Alternative | Time off allowance |
approved | string | Optional | Approved time off |
available | JSON | Required within parent | |
available (anyOf 1) | string | Alternative | Available time off. Will be null if is_allowance_unlimited is true |
available (anyOf 2) | null | Alternative | Available time off. Will be null if is_allowance_unlimited is true |
balance_adjusted | JSON | Optional | |
balance_adjusted (anyOf 1) | string | Alternative | Balance adjusted |
balance_adjusted (anyOf 2) | null | Alternative | Balance adjusted |
events | JSON | Optional | |
events (anyOf 1) | array | Alternative | |
events (anyOf 1)[] | Model | Each item | Expand Get Profile Entitlements — 200 response body — entitlements item events null item |
events (anyOf 2) | null | Alternative | |
events (anyOf 2)[] | Model | Each item | Expand Get Profile Entitlements — 200 response body — entitlements item events null item |
expired | string | Optional | Expired time off |
future_events | JSON | Optional | |
future_events (anyOf 1) | array | Alternative | |
future_events (anyOf 1)[] | Model | Each item | Expand Get Profile Entitlements — 200 response body — entitlements item events null item |
future_events (anyOf 2) | null | Alternative | |
future_events (anyOf 2)[] | Model | Each item | Expand Get Profile Entitlements — 200 response body — entitlements item events null item |
id | string | Optional | Entitlement ID |
is_allowance_unlimited | boolean | Required within parent | True when the allowance is unlimited |
past_tracking_periods | array | Optional | |
past_tracking_periods[] | string | Each item | |
policy | Model | Optional | Expand Get Profile Entitlements — 200 response body — entitlements item policy |
requested | string | Optional | Requested time off |
rollovers | JSON | Optional | |
rollovers (anyOf 1) | array | Alternative | |
rollovers (anyOf 1)[] | Model | Each item | Expand Get Profile Entitlements — 200 response body — entitlements item rollovers null item |
rollovers (anyOf 2) | null | Alternative | |
rollovers (anyOf 2)[] | Model | Each item | Expand Get Profile Entitlements — 200 response body — entitlements item rollovers null item |
time_off_event_id | string | Optional | Time off event ID |
total_entitlements | string | Required within parent | Total entitlements |
tracking_period | string | Required within parent | Tracking period |
tracking_period_end_date | JSON | Required within parent | |
tracking_period_end_date (anyOf 1) | string | Alternative | Tracking period end date. Null when the entitlement never expires. |
tracking_period_end_date (anyOf 2) | null | Alternative | Tracking period end date. Null when the entitlement never expires. |
upcoming_accruals | string | Optional | Upcoming accruals |
used | string | Optional | Used time off |
Referenced models: Get Profile Entitlements — 200 response body — entitlements item events null item, Get Profile Entitlements — 200 response body — entitlements item policy, Get Profile Entitlements — 200 response body — entitlements item rollovers null item
Get Profile Entitlements — 200 response body — entitlements item events null item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accrual_date | string | Optional | Accrual date Format: date-time |
amount | string | Required within parent | Event amount |
created_at | string | Required within parent | Event creation date Format: date-time |
description | string | Optional | Event description |
event_date | string | Optional | Event date Format: date-time |
expiration_date | string | Optional | Expiration date Format: date-time |
id | string | Required within parent | Event ID Format: uuid |
policy_id | string | Required within parent | Policy ID Format: uuid |
profile_id | string | Required within parent | Profile ID Format: uuid |
rollover_tracking_period | string | Optional | Rollover tracking period Format: date-time |
time_off_id | string | Optional | Time off ID Format: uuid |
tracking_period | string | Required within parent | Tracking period Format: date-time |
type | string | Required within parent | Event type Known values: ACCRUAL, ACCRUAL_DEDUCTION, ACCRUAL_PRORATE, ACCRUAL_TERMINATION, MANUAL_ADJUSTMENT, NO_ROLLOVER, ROLLOVER_ADJUSTMENT, ROLLOVER_CARRY_OVER, ROLLOVER_EXPIRATION, ROLLOVER_PAYOUT, ROLLOVER_PROJECTED, TIME_OFF |
updated_at | string | Required within parent | Event update date Format: date-time |
Get Profile Entitlements — 200 response body — entitlements item policy
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
created_at | string | Required within parent | Policy creation date Format: date-time |
description | string | Optional | Policy description |
id | string | Required within parent | Policy ID Format: uuid |
leave_type | string | Optional | Leave type Known values: SHORT_TERM_LEAVE, LONG_TERM_LEAVE |
name | string | Required within parent | Policy name |
policy_type | Model | Optional | Expand Get Profile Entitlements — 200 response body — entitlements item policy policy type |
policy_type_id | string | Optional | Policy type ID Format: uuid |
time_off_types | array | Optional | |
time_off_types[] | Model | Each item | Expand Get Profile Entitlements — 200 response body — entitlements item policy time off types item |
tracking_cadence | string | Optional | Tracking cadence Known values: FIXED_DAY, ANNIVERSARY, NOT_SPECIFIED |
tracking_start_date | string | Optional | Tracking start date Format: date |
tracking_unit | string | Optional | Tracking unit Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
tracking_unit_amount | string | Optional | Tracking unit amount |
updated_at | string | Required within parent | Policy update date Format: date-time |
Referenced models: Get Profile Entitlements — 200 response body — entitlements item policy policy type, Get Profile Entitlements — 200 response body — entitlements item policy time off types item
Get Profile Entitlements — 200 response body — entitlements item policy policy type
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
id | string | Required within parent | Policy type ID Format: uuid |
name | string | Required within parent | Policy type name |
Get Profile Entitlements — 200 response body — entitlements item policy time off types item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
id | string | Required within parent | Time off type ID Format: uuid |
name | string | Required within parent | Time off type name |
Get Profile Entitlements — 200 response body — entitlements item rollovers null item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amount | Model | Required within parent | Expand Get Profile Entitlements — 200 response body — entitlements item rollovers null item amount |
expiration_date | string | Optional | Rollover expiration date Format: date-time |
rollover_tracking_period | string | Required within parent | Rollover tracking period Format: date-time |
Referenced models: Get Profile Entitlements — 200 response body — entitlements item rollovers null item amount
Get Profile Entitlements — 200 response body — entitlements item rollovers null item amount
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | JSON | Root | |
$ (anyOf 1) | string | Alternative | |
$ (anyOf 2) | string | Alternative |
Get Profiles Assigned to Policy — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | array | Required within parent | Profiles currently assigned to the policy |
data[] | Model | Each item | Expand Get Profiles Assigned to Policy — 200 response body — data item |
has_next_page | boolean | Required within parent | Indicates if there are more results available beyond the current page |
next | JSON | Optional | |
next (anyOf 1) | string | Alternative | Opaque cursor to fetch the next page of results. Null when there are no more results |
next (anyOf 2) | null | Alternative | Opaque cursor to fetch the next page of results. Null when there are no more results |
Referenced models: Get Profiles Assigned to Policy — 200 response body — data item
Get Profiles Assigned to Policy — 200 response body — data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
country | JSON | Required within parent | |
country (anyOf 1) | string | Alternative | ISO 3166-1 alpha-2 country code of the assigned worker's employment. Null if not set |
country (anyOf 2) | null | Alternative | ISO 3166-1 alpha-2 country code of the assigned worker's employment. Null if not set |
email | string | Required within parent | Personal email address of the assigned worker Format: email |
hris_profile_id | JSON | Required within parent | |
hris_profile_id (anyOf 1) | string | Alternative | HRIS profile UID of the assigned worker. Null if the assigned profile has no linked HRIS profile Format: uuid |
hris_profile_id (anyOf 2) | null | Alternative | HRIS profile UID of the assigned worker. Null if the assigned profile has no linked HRIS profile Format: uuid |
name | string | Required within parent | Full name of the assigned worker |
state | JSON | Optional | |
state (anyOf 1) | string | Alternative | State or region code of the assigned worker's employment, if applicable |
state (anyOf 2) | null | Alternative | State or region code of the assigned worker's employment, if applicable |
work_email | JSON | Optional | |
work_email (anyOf 1) | string | Alternative | Work email address of the assigned worker, if set Format: email |
work_email (anyOf 2) | null | Alternative | Work email address of the assigned worker, if set Format: email |
worker_type | string | Required within parent | Type of worker relationship the assigned profile has with the organization Known values: milestones_contractor, payg_contractor, time_based_contractor, eor, direct_employee, hris_direct_employee, peo, hris_placeholder, hris_direct_contractor |
Get Time Off Events for Profile — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | List of time off events for the profile |
data | array | Required within parent | List of time off events for the profile |
data[] | Model | Each item | Expand Get Time Off Events for Profile — 200 response body — data item |
Referenced models: Get Time Off Events for Profile — 200 response body — data item
Get Time Off Events for Profile — 200 response body — data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Time off event object |
created_at | string | Required within parent | Time off creation date Format: date-time |
event_details | Model | Required within parent | Expand Get Time Off Events for Profile — 200 response body — data item event details Details of the time off event |
hris_profile_id | string | Required within parent | Worker hris profile id Format: uuid |
id | string | Required within parent | Time off event id Format: uuid |
policy_id | string | Required within parent | Policy id |
time_off_type_id | string | Required within parent | Time off type id |
type | string | Required within parent | The type of event |
updated_at | string | Required within parent | Time off update date Format: date-time |
Referenced models: Get Time Off Events for Profile — 200 response body — data item event details
Get Time Off Events for Profile — 200 response body — data item event details
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Details of the time off event |
adoption_date | string | Optional | End date of the time off Format: date |
birth_date | string | Optional | Start date of the time off Format: date |
estimated_adoption_date | string | Optional | The estimated date of the child adoption Format: date |
estimated_birth_date | string | Optional | The estimated date of the child birth Format: date |
had_multiple_children | boolean | Optional | Was it the birth of multiple children? |
was_premature_birth | boolean | Optional | Was the child born prematurely? |
Get Work Schedule and Holidays — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | array | Optional | List of holiday and work schedule information grouped by HRIS profile, including holidays within the date range, work schedule details, and daily work status |
data[] | Model | Each item | Expand Get Work Schedule and Holidays — 200 response body — data item |
Referenced models: Get Work Schedule and Holidays — 200 response body — data item
Get Work Schedule and Holidays — 200 response body — data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
holidays | array | Required within parent | List of holidays within the date range |
holidays[] | Model | Each item | Expand Get Work Schedule and Holidays — 200 response body — data item holidays item |
time_off_dailies | array | Required within parent | List of days with holiday or work status |
time_off_dailies[] | Model | Each item | Expand Get Work Schedule and Holidays — 200 response body — data item time off dailies item |
work_schedule | Model | Required within parent | Expand Get Work Schedule and Holidays — 200 response body — data item work schedule Detail of working hours by week day for an HRIS profile |
Referenced models: Get Work Schedule and Holidays — 200 response body — data item holidays item, Get Work Schedule and Holidays — 200 response body — data item time off dailies item, Get Work Schedule and Holidays — 200 response body — data item work schedule
Get Work Schedule and Holidays — 200 response body — data item holidays item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
country | string | Optional | The ISO 3166-1 alpha-2 country code. Maximum length: 2 Minimum length: 2 Pattern: ^[A-Z]{2}$ |
created_by_profile_id | JSON | Optional | |
created_by_profile_id (anyOf 1) | JSON | Alternative | |
created_by_profile_id (anyOf 1) (anyOf 1) | number | Alternative | HRIS profile id of the creator of the holiday Format: double |
created_by_profile_id (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
created_by_profile_id (anyOf 2) | null | Alternative | HRIS profile id of the creator of the holiday Format: double |
date | string | Required within parent | Date of the holiday Format: date-time |
description | JSON | Required within parent | |
description (anyOf 1) | string | Alternative | Description of the holiday |
description (anyOf 2) | null | Alternative | Description of the holiday |
formatted_date | string | Required within parent | Formatted 'YYYY-MM-DD' date of the holiday Format: date |
is_every_year | boolean | Required within parent | Sets if the holiday is a recurring event |
is_mandatory | boolean | Required within parent | Describes if the holiday is mandatory |
name | string | Required within parent | Name of the holiday |
name_variations | array | Optional | Alternative names or labels used to refer to this holiday |
name_variations[] | string | Each item | |
parsed_date | string | Optional | Parsed date time of the holiday Format: date-time |
source | JSON | Required within parent | Source of creation of the holiday |
source (anyOf 1) | string | Alternative | Source of creation of the holiday Known values: EXTERNAL, DEEL, ORGANIZATION_CUSTOM, ORGANIZATION_OVERRIDE, ORGANIZATION_CONVERT |
source (anyOf 2) | null | Alternative | |
states | array | Optional | List of states where the holiday is celebrated, if empty it is a country holiday |
states[] | string | Each item | |
type | string | Required within parent | Type of the holiday Known values: MANDATORY, OPTIONAL, HIDDEN, HOLIDAY, WORKING_DAY |
Get Work Schedule and Holidays — 200 response body — data item time off dailies item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
date | string | Required within parent | Date of the daily Format: date |
time_off_daily_type | string | Required within parent | Type of work status or holiday Known values: HOLIDAY, WORKING_DAY, NON_WORKING_DAY |
Get Work Schedule and Holidays — 200 response body — data item work schedule
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Detail of working hours by week day for an HRIS profile |
hours_per_day | JSON | Optional | |
hours_per_day (anyOf 1) | number | Alternative | Working hours per day Format: double Maximum: 24 Minimum: 0 |
hours_per_day (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
hris_profile_id | string | Optional | HRIS profile id Format: uuid |
work_week | Model | Optional | Expand Get Work Schedule and Holidays — 200 response body — data item work schedule work week The work week schedule for the HRIS profile |
Referenced models: Get Work Schedule and Holidays — 200 response body — data item work schedule work week
Get Work Schedule and Holidays — 200 response body — data item work schedule work week
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | The work week schedule for the HRIS profile |
friday | JSON | Required within parent | |
friday (anyOf 1) | number | Alternative | Working hours on friday Format: double Maximum: 24 Minimum: 0 |
friday (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
monday | JSON | Required within parent | |
monday (anyOf 1) | number | Alternative | Working hours on monday Format: double Maximum: 24 Minimum: 0 |
monday (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
saturday | JSON | Required within parent | |
saturday (anyOf 1) | number | Alternative | Working hours on saturday Format: double Maximum: 24 Minimum: 0 |
saturday (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
sunday | JSON | Required within parent | |
sunday (anyOf 1) | number | Alternative | Working hours on sunday Format: double Maximum: 24 Minimum: 0 |
sunday (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
thursday | JSON | Required within parent | |
thursday (anyOf 1) | number | Alternative | Working hours on thursday Format: double Maximum: 24 Minimum: 0 |
thursday (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
tuesday | JSON | Required within parent | |
tuesday (anyOf 1) | number | Alternative | Working hours on tuesday Format: double Maximum: 24 Minimum: 0 |
tuesday (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
wednesday | JSON | Required within parent | |
wednesday (anyOf 1) | number | Alternative | Working hours on wednesday Format: double Maximum: 24 Minimum: 0 |
wednesday (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
Get time-off attachment download URL — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
data | Model | Required within parent | Expand Get time-off attachment download URL — 200 response body — data |
Referenced models: Get time-off attachment download URL — 200 response body — data
Get time-off attachment download URL — 200 response body — data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
url | string | Required within parent | Presigned URL to download the attachment directly from object storage. Valid for a limited time. |
List policies — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
policies | array | Optional | |
policies[] | Model | Each item | Expand List policies — 200 response body — policies item |
Referenced models: List policies — 200 response body — policies item
List policies — 200 response body — policies item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Time off policy |
allow_to_edit_past_time_offs | boolean | Required within parent | Whether editing past time offs is allowed |
auto_approval_inactivity_time_unit | JSON | Required within parent | Unit for auto-approval inactivity time |
auto_approval_inactivity_time_unit (anyOf 1) | string | Alternative | Unit for auto-approval inactivity time Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
auto_approval_inactivity_time_unit (anyOf 2) | null | Alternative | |
auto_approval_inactivity_time_unit_amount | JSON | Required within parent | |
auto_approval_inactivity_time_unit_amount (anyOf 1) | JSON | Alternative | |
auto_approval_inactivity_time_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of auto-approval inactivity time units Format: double |
auto_approval_inactivity_time_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
auto_approval_inactivity_time_unit_amount (anyOf 2) | null | Alternative | Amount of auto-approval inactivity time units Format: double |
created_at | string | Required within parent | Date and time when the policy was created Format: date-time |
custom_fields | array | Required within parent | The custom fields the policy declares. Empty when the policy collects none. |
custom_fields[] | Model | Each item | Expand Validate time-off request — 200 response body — data custom fields item |
description | JSON | Optional | |
description (anyOf 1) | string | Alternative | Description of the policy |
description (anyOf 2) | null | Alternative | Description of the policy |
has_custom_fields | boolean | Required within parent | Whether the policy collects any custom field answers on its requests. |
id | string | Required within parent | Unique identifier of the policy Format: uuid |
is_attachment_required | string | Required within parent | Whether an attachment is required for time off requests Known values: NOT_REQUIRED, REQUIRED, CONDITIONALLY_REQUIRED |
is_description_required | boolean | Required within parent | Whether a description is required for time off requests |
is_requiring_custom_fields | boolean | Required within parent | Whether at least one of the policy's custom fields can be mandatory (ALWAYS_REQUIRED or REQUIRED_CONDITIONALLY). False when every custom field is OPTIONAL, or when the policy has none. |
leave_type | string | Required within parent | Type of leave for this policy Known values: SHORT_TERM_LEAVE, LONG_TERM_LEAVE |
name | string | Required within parent | Name of the policy |
notice_period_unit | JSON | Required within parent | Unit for notice period |
notice_period_unit (anyOf 1) | string | Alternative | Unit for notice period Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
notice_period_unit (anyOf 2) | null | Alternative | |
notice_period_unit_amount | JSON | Required within parent | |
notice_period_unit_amount (anyOf 1) | JSON | Alternative | |
notice_period_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of notice period units Format: double |
notice_period_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
notice_period_unit_amount (anyOf 2) | null | Alternative | Amount of notice period units Format: double |
overlap_request_type | string | Required within parent | Type of overlapping requests allowed Known values: ALLOWED, NOT_ALLOWED |
payment_type | string | Required within parent | Payment type for the time off policy Known values: PAID, UNPAID |
policy_allowance_proration | Model | Required within parent | Expand List policies — 200 response body — policies item policy allowance proration Proration configuration for policy allowances |
policy_allowances | array | Required within parent | Allowances associated with this policy |
policy_allowances[] | Model | Each item | Expand List policies — 200 response body — policies item policy allowances item |
policy_type | Model | Required within parent | Expand List policies — 200 response body — policies item policy type Type of this policy |
policy_type_id | string | Optional | Unique identifier of the policy type Format: uuid |
request_start_type | JSON | Required within parent | Type of request start configuration |
request_start_type (anyOf 1) | string | Alternative | Type of request start configuration Known values: IMMEDIATELY, FIXED_PERIOD |
request_start_type (anyOf 2) | null | Alternative | |
request_start_unit | JSON | Required within parent | Unit used for request start configuration |
request_start_unit (anyOf 1) | string | Alternative | Unit used for request start configuration Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
request_start_unit (anyOf 2) | null | Alternative | |
request_start_unit_amount | JSON | Required within parent | |
request_start_unit_amount (anyOf 1) | JSON | Alternative | |
request_start_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of request start units Format: double |
request_start_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
request_start_unit_amount (anyOf 2) | null | Alternative | Amount of request start units Format: double |
retrospective_request_type | string | Required within parent | Type of retrospective requests allowed Known values: ALLOWED, NOT_ALLOWED |
time_off_request_type | string | Required within parent | Type of time off requests allowed Known values: HALF_DAY, HOURLY, FULL_DAY, PERCENTAGE, PARTIAL_HOURS |
time_off_types | array | Optional | Time off types associated with this policy |
time_off_types[] | Model | Each item | Expand List policies — 200 response body — policies item time off types item |
tracking_cadence | string | Optional | Cadence for tracking policy periods Known values: FIXED_DAY, ANNIVERSARY, NOT_SPECIFIED |
tracking_start_date | JSON | Optional | |
tracking_start_date (anyOf 1) | string | Alternative | Start date for tracking policy periods Format: date |
tracking_start_date (anyOf 2) | null | Alternative | Start date for tracking policy periods Format: date |
tracking_unit | JSON | Required within parent | Unit used for tracking policy periods |
tracking_unit (anyOf 1) | string | Alternative | Unit used for tracking policy periods Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
tracking_unit (anyOf 2) | null | Alternative | |
tracking_unit_amount | JSON | Required within parent | |
tracking_unit_amount (anyOf 1) | JSON | Alternative | |
tracking_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of tracking units Format: double |
tracking_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
tracking_unit_amount (anyOf 2) | null | Alternative | Amount of tracking units Format: double |
updated_at | string | Required within parent | Date and time when the policy was last updated Format: date-time |
Referenced models: Validate time-off request — 200 response body — data custom fields item, List policies — 200 response body — policies item policy allowance proration, List policies — 200 response body — policies item policy allowances item, List policies — 200 response body — policies item policy type, List policies — 200 response body — policies item time off types item
List policies — 200 response body — policies item policy allowance proration
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Proration configuration for policy allowances |
part_time_worker_treatment_specific_amount | JSON | Required within parent | |
part_time_worker_treatment_specific_amount (anyOf 1) | JSON | Alternative | |
part_time_worker_treatment_specific_amount (anyOf 1) (anyOf 1) | number | Alternative | Specific amount for part-time worker treatment when the type is CUSTOM_ENTITLEMENT Format: double |
part_time_worker_treatment_specific_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
part_time_worker_treatment_specific_amount (anyOf 2) | null | Alternative | Specific amount for part-time worker treatment when the type is CUSTOM_ENTITLEMENT Format: double |
part_time_worker_treatment_type | string | Required within parent | Type of treatment for part-time workers Known values: SAME_AS_FTE, PERCENTAGE_OF_FTE, BASED_ON_WORK_HOURS, BASED_ON_WORK_DAYS, CUSTOM_ENTITLEMENT |
prorates_on_hire | boolean | Required within parent | Whether proration is applied on hire |
prorates_on_termination | boolean | Required within parent | Whether proration is applied on termination |
List policies — 200 response body — policies item policy allowances item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
accrual_application_type | JSON | Required within parent | Type of accrual application. Enum to indicate when accruals will be applied within the accrual cycles. |
accrual_application_type (anyOf 1) | string | Alternative | Type of accrual application. Enum to indicate when accruals will be applied within the accrual cycles. Known values: BEGIN_OF_CYCLE, END_OF_CYCLE, BEGIN_OF_NEXT_CYCLE |
accrual_application_type (anyOf 2) | null | Alternative | |
accrual_type | string | Required within parent | Type of accrual for the allowance. Determines how/when profiles should earn their entitlement (aka: allowance). Known values: TIMEFRAME, EVENT, TIME_OFF_IN_LIEU, HOURLY, LUMPSUM, NO_AUTO_ACCRUAL |
accrual_unit | JSON | Required within parent | Unit used for accrual |
accrual_unit (anyOf 1) | string | Alternative | Unit used for accrual Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
accrual_unit (anyOf 2) | null | Alternative | |
accrual_unit_amount | JSON | Required within parent | |
accrual_unit_amount (anyOf 1) | JSON | Alternative | |
accrual_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of accrual units Format: double |
accrual_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
accrual_unit_amount (anyOf 2) | null | Alternative | Amount of accrual units Format: double |
balance_tracking_flexible_custom_request_amount | JSON | Required within parent | |
balance_tracking_flexible_custom_request_amount (anyOf 1) | JSON | Alternative | |
balance_tracking_flexible_custom_request_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount for flexible custom request balance tracking. The flexible custom extra amount request of the policy allowance. Format: double |
balance_tracking_flexible_custom_request_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
balance_tracking_flexible_custom_request_amount (anyOf 2) | null | Alternative | Amount for flexible custom request balance tracking. The flexible custom extra amount request of the policy allowance. Format: double |
balance_tracking_type | JSON | Required within parent | Type of balance tracking. Determines how workers can request their time off. |
balance_tracking_type (anyOf 1) | string | Alternative | Type of balance tracking. Determines how workers can request their time off. Known values: INFLEXIBLE, FLEXIBLE_NO_LIMIT, FLEXIBLE_CUSTOM_AMOUNT, FLEXIBLE_UP_TO_YEARLY_ALLOWANCE |
balance_tracking_type (anyOf 2) | null | Alternative | |
enable_bank_holidays | boolean | Required within parent | Whether bank holidays are enabled for this allowance |
entitlement_expiration_unit | JSON | Required within parent | Unit used for entitlement expiration |
entitlement_expiration_unit (anyOf 1) | string | Alternative | Unit used for entitlement expiration Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
entitlement_expiration_unit (anyOf 2) | null | Alternative | |
entitlement_expiration_unit_amount | JSON | Required within parent | |
entitlement_expiration_unit_amount (anyOf 1) | JSON | Alternative | |
entitlement_expiration_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of entitlement expiration units Format: double |
entitlement_expiration_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
entitlement_expiration_unit_amount (anyOf 2) | null | Alternative | Amount of entitlement expiration units Format: double |
entitlement_start_date | JSON | Required within parent | |
entitlement_start_date (anyOf 1) | string | Alternative | Start date for entitlement Format: date |
entitlement_start_date (anyOf 2) | null | Alternative | Start date for entitlement Format: date |
entitlement_start_type | string | Required within parent | Type of entitlement start Known values: IMMEDIATELY, FIXED_PERIOD, FIXED_DAY |
entitlement_start_unit | JSON | Required within parent | Unit used for entitlement start |
entitlement_start_unit (anyOf 1) | string | Alternative | Unit used for entitlement start Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
entitlement_start_unit (anyOf 2) | null | Alternative | |
entitlement_start_unit_amount | JSON | Required within parent | |
entitlement_start_unit_amount (anyOf 1) | JSON | Alternative | |
entitlement_start_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of entitlement start units Format: double |
entitlement_start_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
entitlement_start_unit_amount (anyOf 2) | null | Alternative | Amount of entitlement start units Format: double |
entitlement_unit | JSON | Required within parent | Unit used for entitlement |
entitlement_unit (anyOf 1) | string | Alternative | Unit used for entitlement Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
entitlement_unit (anyOf 2) | null | Alternative | |
entitlement_unit_amount | JSON | Required within parent | |
entitlement_unit_amount (anyOf 1) | JSON | Alternative | |
entitlement_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of entitlement units Format: double |
entitlement_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
entitlement_unit_amount (anyOf 2) | null | Alternative | Amount of entitlement units Format: double |
hourly_accrual_based_on | JSON | Optional | Hours that count toward an HOURLY allowance: HOURS_WORKED_ONLY (only hours worked) or ALL_PAID_HOURS (hours worked and paid time off). Null for other accrual types. |
hourly_accrual_based_on (anyOf 1) | string | Alternative | Hours that count toward an HOURLY allowance: HOURS_WORKED_ONLY (only hours worked) or ALL_PAID_HOURS (hours worked and paid time off). Null for other accrual types. Known values: HOURS_WORKED_ONLY, ALL_PAID_HOURS |
hourly_accrual_based_on (anyOf 2) | null | Alternative | |
hourly_accrual_mode | JSON | Optional | How the rate of an HOURLY allowance is set: BY_HOURS (hours earned per a number of hours worked) or BY_PERCENTAGE (a percentage of hours worked). Null on an HOURLY allowance means BY_HOURS. Null for other accrual types. |
hourly_accrual_mode (anyOf 1) | string | Alternative | How the rate of an HOURLY allowance is set: BY_HOURS (hours earned per a number of hours worked) or BY_PERCENTAGE (a percentage of hours worked). Null on an HOURLY allowance means BY_HOURS. Null for other accrual types. Known values: BY_HOURS, BY_PERCENTAGE |
hourly_accrual_mode (anyOf 2) | null | Alternative | |
hourly_entitlement_amount | JSON | Optional | |
hourly_entitlement_amount (anyOf 1) | JSON | Alternative | |
hourly_entitlement_amount (anyOf 1) (anyOf 1) | number | Alternative | Hours earned per hour worked on an HOURLY allowance. For example, 0.076923 means about 1 hour earned for every 13 hours worked. Null for other accrual types. Format: double |
hourly_entitlement_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
hourly_entitlement_amount (anyOf 2) | null | Alternative | Hours earned per hour worked on an HOURLY allowance. For example, 0.076923 means about 1 hour earned for every 13 hours worked. Null for other accrual types. Format: double |
id | string | Required within parent | Unique identifier of the policy allowance Format: uuid |
max_accrual_per_tracking_period | JSON | Optional | |
max_accrual_per_tracking_period (anyOf 1) | JSON | Alternative | |
max_accrual_per_tracking_period (anyOf 1) (anyOf 1) | number | Alternative | Maximum number of hours a worker can earn in one tracking period on an HOURLY allowance. Null means that there is no maximum. Format: double |
max_accrual_per_tracking_period (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
max_accrual_per_tracking_period (anyOf 2) | null | Alternative | Maximum number of hours a worker can earn in one tracking period on an HOURLY allowance. Null means that there is no maximum. Format: double |
part_time_prorated_entitlement_unit_amount | JSON | Optional | |
part_time_prorated_entitlement_unit_amount (anyOf 1) | JSON | Alternative | |
part_time_prorated_entitlement_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | The total prorated policy allowance entitlement amount if the worker is part-time. Format: double |
part_time_prorated_entitlement_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
part_time_prorated_entitlement_unit_amount (anyOf 2) | null | Alternative | The total prorated policy allowance entitlement amount if the worker is part-time. Format: double |
rollover_expiration_unit | JSON | Required within parent | Unit used for rollover expiration |
rollover_expiration_unit (anyOf 1) | string | Alternative | Unit used for rollover expiration Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
rollover_expiration_unit (anyOf 2) | null | Alternative | |
rollover_expiration_unit_amount | JSON | Required within parent | |
rollover_expiration_unit_amount (anyOf 1) | JSON | Alternative | |
rollover_expiration_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of rollover expiration units Format: double |
rollover_expiration_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
rollover_expiration_unit_amount (anyOf 2) | null | Alternative | Amount of rollover expiration units Format: double |
rollover_limit_unit_amount | JSON | Required within parent | |
rollover_limit_unit_amount (anyOf 1) | JSON | Alternative | |
rollover_limit_unit_amount (anyOf 1) (anyOf 1) | number | Alternative | Amount of rollover limit units Format: double |
rollover_limit_unit_amount (anyOf 1) (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
rollover_limit_unit_amount (anyOf 2) | null | Alternative | Amount of rollover limit units Format: double |
rollover_type | JSON | Required within parent | Type of rollover |
rollover_type (anyOf 1) | string | Alternative | Type of rollover Known values: NO_ROLLOVER, PAY_OUT, CARRY_OVER, CARRY_OVER_PAY_OUT |
rollover_type (anyOf 2) | null | Alternative | |
type | string | Required within parent | Type of the policy allowance Known values: BASE_ALLOWANCE, ADDITIONAL_ALLOWANCE |
zero_out_negative_balances_on_rollover | boolean | Required within parent | Whether negative balances are zeroed out on rollover |
List policies — 200 response body — policies item policy type
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Type of this policy |
id | string | Required within parent | Unique identifier of the policy type Format: uuid |
name | string | Required within parent | Name of the policy type |
List policies — 200 response body — policies item time off types item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
description | JSON | Optional | |
description (anyOf 1) | string | Alternative | Description of the time off type |
description (anyOf 2) | null | Alternative | Description of the time off type |
id | string | Optional | Unique identifier of the time off type Format: uuid |
name | string | Optional | Name of the time off type |
List policies — request body — query policy type name
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | string | Root | One of: Adoption leave, Advanced vacation, Bereaved partner's paternity leave, Bereavement leave, Blood donation leave, Breastfeeding leave, Carer's leave, Childbirth leave, Childcare leave, Civic/public duty leave, Compensatory leave, Disability leave, Doctor's appointment leave, Family & domestic violence leave, Family responsibility leave, Floating Holiday Allowance, Hajj leave, Hospitalization leave, Long Service Leave, Marriage/wedding leave, Maternity leave, Menstrual leave, Military leave, Moving leave, Neonatal care leave, Other leave, Paid leave, Parental bereavement leave, Parental leave, Paternity leave, Personal leave, Pregnancy leave, Regional holiday, RTT, Shared parental leave, Sick leave, Strike, Study leave, Supplementary Leave, Unpaid leave, Vacation, Vacation - public holidays replacement, Volunteer leave, Work accident leave, Work away from office, Work Location |
List time-off requests for Organization — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Time offs associated to the query |
count | JSON | Optional | |
count (anyOf 1) | integer | Alternative | Total count of items |
count (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
data | array | Required within parent | |
data[] | Model | Each item | Expand List time-off requests for Organization — 200 response body — data item |
has_next_page | boolean | Required within parent | Has next page |
next | string | Optional | |
page_size | JSON | Required within parent | |
page_size (anyOf 1) | integer | Alternative | Page size Maximum: 200 Minimum: 5 |
page_size (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
Referenced models: List time-off requests for Organization — 200 response body — data item
List time-off requests for Organization — 200 response body — data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amount | string | Required within parent | Amount of time off |
approved_at | JSON | Optional | |
approved_at (anyOf 1) | string | Alternative | Time off approval date Format: date-time |
approved_at (anyOf 2) | null | Alternative | Time off approval date Format: date-time |
canceled_at | JSON | Optional | |
canceled_at (anyOf 1) | string | Alternative | Time off cancellation date Format: date-time |
canceled_at (anyOf 2) | null | Alternative | Time off cancellation date Format: date-time |
contract_oid | string | Optional | Contract id |
created_at | string | Required within parent | Time off creation date Format: date-time |
custom_field_values | array | Optional | Answers to the custom fields the request policy declares. Omitted when the policy declares none. |
custom_field_values[] | Model | Each item | Expand Update time-off request — 200 response body — time off custom field values item |
deduction_amount | JSON | Optional | |
deduction_amount (anyOf 1) | string | Alternative | Deduction amount |
deduction_amount (anyOf 2) | null | Alternative | Deduction amount |
deleted_at | JSON | Optional | |
deleted_at (anyOf 1) | string | Alternative | Time off deletion date. Present only when the time-off is soft-deleted and include_deleted_time_offs was requested. Format: date-time |
deleted_at (anyOf 2) | null | Alternative | Time off deletion date. Present only when the time-off is soft-deleted and include_deleted_time_offs was requested. Format: date-time |
description | JSON | Optional | |
description (anyOf 1) | string | Alternative | Time off description |
description (anyOf 2) | null | Alternative | Time off description |
end_date | string | Required within parent | End date of time off Format: date |
entitlement_unit | string | Required within parent | The unit in which the time off usage and entitlement are calculated. Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
half_end_date | boolean | Required within parent | Is half end date |
half_start_date | boolean | Required within parent | Is half start date |
id | string | Required within parent | Time off id Format: uuid |
is_end_date_estimated | boolean | Optional | Is end date estimated |
is_paid | boolean | Required within parent | Is time off paid |
other_type_description | JSON | Optional | |
other_type_description (anyOf 1) | string | Alternative | Other type description |
other_type_description (anyOf 2) | null | Alternative | Other type description |
reason | string | Optional | Reason for time off |
recipient_profile | Model | Optional | Expand List time-off requests — 200 response body — data item recipient profile |
requested_at | string | Required within parent | Time off request date Format: date |
requester_profile | Model | Optional | Expand List time-off requests — 200 response body — data item requester profile |
start_date | string | Required within parent | Start date of time off Format: date |
status | string | Optional | Status of time off Known values: REQUESTED, APPROVED, REJECTED, USED, CANCELED, DELETED |
time_off_dailies | array | Optional | |
time_off_dailies[] | Model | Each item | Expand List time-off requests — 200 response body — data item time off dailies item |
time_off_origin | string | Optional | Time off origin. AUTO_BANK_HOLIDAY is a bank holiday request that the system books for the worker. Known values: ADMIN, BULK_IMPORT, DEEL_APP, ENGAGE, INTEGRATION, PUBLIC_API, SLACK, TEAMS, AUTO_BANK_HOLIDAY, UNKNOWN |
time_off_percentage | JSON | Optional | |
time_off_percentage (anyOf 1) | string | Alternative | Time off percentage |
time_off_percentage (anyOf 2) | null | Alternative | Time off percentage |
time_off_type | Model | Optional | Expand List time-off requests for Organization — 200 response body — data item time off type |
time_off_type_id | string | Required within parent | Time off type id |
updated_at | string | Required within parent | Time off update date Format: date-time |
Referenced models: Update time-off request — 200 response body — time off custom field values item, List time-off requests — 200 response body — data item recipient profile, List time-off requests — 200 response body — data item requester profile, List time-off requests — 200 response body — data item time off dailies item, List time-off requests for Organization — 200 response body — data item time off type
List time-off requests for Organization — 200 response body — data item time off type
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
id | string | Required within parent | Time off type id. Format: uuid |
name | string | Required within parent | Time off type name. Basically the reason or category of time-off taken. For SICK leave, it can be doctor appointment, surgery etc. |
policy | Model | Optional | Expand List time-off requests for Organization — 200 response body — data item time off type policy |
Referenced models: List time-off requests for Organization — 200 response body — data item time off type policy
List time-off requests for Organization — 200 response body — data item time off type policy
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
id | string | Required within parent | Policy id Format: uuid |
name | string | Required within parent | The custom name given to policy during policy creation. |
policy_type | Model | Required within parent | Expand Update time-off request — 200 response body — time off time off type policy policy type |
Referenced models: Update time-off request — 200 response body — time off time off type policy policy type
List time-off requests — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | Time offs associated to the query |
count | JSON | Optional | |
count (anyOf 1) | integer | Alternative | Total count of items |
count (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
data | array | Required within parent | |
data[] | Model | Each item | Expand List time-off requests — 200 response body — data item |
has_next_page | boolean | Required within parent | Has next page |
next | string | Optional | |
page_size | JSON | Required within parent | |
page_size (anyOf 1) | integer | Alternative | Page size Maximum: 200 Minimum: 5 |
page_size (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
Referenced models: List time-off requests — 200 response body — data item
List time-off requests — 200 response body — data item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amount | string | Required within parent | Amount of time off |
approved_at | JSON | Optional | |
approved_at (anyOf 1) | string | Alternative | Time off approval date Format: date-time |
approved_at (anyOf 2) | null | Alternative | Time off approval date Format: date-time |
contract_oid | string | Optional | Contract id |
created_at | string | Required within parent | Time off creation date Format: date-time |
custom_field_values | array | Optional | Answers to the custom fields the request policy declares. Omitted when the policy declares none. |
custom_field_values[] | Model | Each item | Expand Update time-off request — 200 response body — time off custom field values item |
deduction_amount | JSON | Optional | |
deduction_amount (anyOf 1) | string | Alternative | Deduction amount |
deduction_amount (anyOf 2) | null | Alternative | Deduction amount |
description | JSON | Optional | |
description (anyOf 1) | string | Alternative | Time off description |
description (anyOf 2) | null | Alternative | Time off description |
end_date | string | Required within parent | End date of time off Format: date |
entitlement_unit | string | Required within parent | The unit in which the time off usage and entitlement are calculated. Known values: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
half_end_date | boolean | Required within parent | Is half end date. Only used for backwards compatibility, please do not use. |
half_start_date | boolean | Required within parent | Is half start date. Only used for backwards compatibility, please do not use. |
id | string | Required within parent | Time off id Format: uuid |
is_end_date_estimated | boolean | Optional | Is end date estimated |
is_paid | boolean | Required within parent | Is time off paid |
other_type_description | JSON | Optional | |
other_type_description (anyOf 1) | string | Alternative | Other type description |
other_type_description (anyOf 2) | null | Alternative | Other type description |
reason | string | Optional | Reason for time off |
recipient_profile | Model | Optional | Expand List time-off requests — 200 response body — data item recipient profile |
requested_at | string | Required within parent | Time off request date Format: date |
requester_profile | Model | Optional | Expand List time-off requests — 200 response body — data item requester profile |
start_date | string | Required within parent | Start date of time off Format: date |
status | string | Optional | Status of time off Known values: REQUESTED, APPROVED, REJECTED, USED, CANCELED |
time_off_dailies | array | Optional | |
time_off_dailies[] | Model | Each item | Expand List time-off requests — 200 response body — data item time off dailies item |
time_off_percentage | JSON | Optional | |
time_off_percentage (anyOf 1) | string | Alternative | Time off percentage |
time_off_percentage (anyOf 2) | null | Alternative | Time off percentage |
time_off_type_id | string | Required within parent | Time off type id |
updated_at | string | Required within parent | Time off update date Format: date-time |
Referenced models: Update time-off request — 200 response body — time off custom field values item, List time-off requests — 200 response body — data item recipient profile, List time-off requests — 200 response body — data item requester profile, List time-off requests — 200 response body — data item time off dailies item
List time-off requests — 200 response body — data item recipient profile
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
client_profile_id | string | Optional | Recipient client profile id Format: uuid |
hris_profile_id | string | Optional | Recipient hris profile id Format: uuid |
organization_id | string | Optional | Recipient organization id Format: uuid |
List time-off requests — 200 response body — data item requester profile
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
client_profile_id | string | Optional | Request client profile id Format: uuid |
hris_profile_id | string | Optional | Request hris profile id Format: uuid |
organization_id | string | Optional | Request organization id Format: uuid |
List time-off requests — 200 response body — data item time off dailies item
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amount | string | Required within parent | Time off daily amount |
created_at | string | Required within parent | Time off daily creation date Format: date-time |
date | string | Required within parent | Time off daily date Format: date |
description | JSON | Optional | |
description (anyOf 1) | string | Alternative | Time off daily description |
description (anyOf 2) | null | Alternative | Time off daily description |
id | string | Required within parent | Time off daily id Format: uuid |
time_off_id | string | Required within parent | Time off id Format: uuid |
type | string | Required within parent | Time off daily type Known values: WORKING_DAY, NON_WORKING_DAY, HOLIDAY, FORFAIT_HOUR_DAY |
updated_at | string | Required within parent | Time off daily update date Format: date-time |
Process time-off requests from an external HRIS — 200 response body
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | List of time offs persisted at Deel |
data | Model | Optional | Expand Process time-off requests from an external HRIS — 200 response body — data |
Referenced models: Process time-off requests from an external HRIS — 200 response body — data
Process time-off requests from an external HRIS — 200 response body — data
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
deleted | JSON | Optional | |
deleted (anyOf 1) | number | Alternative | Number of time off requests that were deleted Format: double |
deleted (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
inserted | JSON | Optional | |
inserted (anyOf 1) | number | Alternative | Number of time off requests that were inserted Format: double |
inserted (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
updated | JSON | Optional | |
updated (anyOf 1) | number | Alternative | Number of time off requests that were updated Format: double |
updated (anyOf 2) | string | Alternative | Pattern: ^-?[0-9]+(?:\.[0-9]+)?(?:[eE][+-]?[0-9]+)?$ |
Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
$ | object | Root | |
amount | string | Optional | The amount in time units for this time off. When no amount is informed, it will be calculated using work schedules and public holidays defined at Deel. |
approved_at | string | Optional | The approval date of the time off. If no approval date is informed, the start date of this request will be used as the approval date. Note: use this field in order to support retrospective leaves so Deel can identify requests made after the payroll cycle. Format: date |
contract_oid | string | Required within parent | The contract id that has requested the time off. Maximum length: 24 |
description | string or null | Optional | The description of the time off. Maximum length: 500 |
end_date | string | Required within parent | The end date of the time off. Format: date |
entitlement_unit | string | Optional | The time unit for this time off. *Mandatory when amount parameter is informed*. If no amount and no entitlement_unit are informed, it will be calculated using Deel's internal country templates for compliant time off policies. One of: HOUR, BUSINESS_DAY, CALENDAR_DAY, WEEK, MONTH, YEAR |
external_id | string | Required within parent | External ID to link a Deel time off object with an external time off object. It will be used to determine which operation should be done: INSERT, UPDATE or DELETE. Maximum length: 48 |
is_paid | boolean | Optional | Allows the consumer to specify whether the time off is considered as paid (at statutory) or unpaid based on the configuration of the policy in the external HRIS. |
policy_name | string | Optional | The policy name the time off is being requested for. If not informed, a default name will be generated using the policy type and contract's country (eg: Vacation - US). Maximum length: 256 |
policy_type | JSON | Required within parent | The Deel policy type of the policy the time off is being requested for. |
policy_type (oneOf 1) | Model | Alternative | Expand Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR policy type string |
policy_type (oneOf 2) | null | Alternative | |
requested_at | string | Optional | The request date of the time off. Format: date |
start_date | string | Required within parent | The start date of the time off. Format: date |
Process time-off requests from an external HRIS — request body — body / data / time_offs / item / entitlement_unit: HOUR, BUSINESS DAY, CALENDAR DAY, WEEK, MONTH, YEAR policy type string
| Field | Type | Presence | Description and constraints |
|---|---|---|---|
[...]
